%global pypi_name sherpa
%define version 4.5.1

Name:           python-sherpa
Version:        %{version}
Release:        %mkrel 3
Group:          Sciences/Astronomy
Summary:        Sherpa is a modeling and fitting application

License:        AFL
URL:            http://cxc.cfa.harvard.edu/sherpa/ 
Source0:        http://cxc.cfa.harvard.edu/contrib/sherpa/%{pypi_name}-%{version}.tar.gz
Patch0:         sherpa-4.5.1-mga-security.patch
BuildRequires:  python-devel
BuildRequires:  cfitsio-devel
BuildRequires:  fftw-devel
BuildRequires:  gcc-gfortran
BuildRequires:  wcslib-devel
BuildRequires:  python-numpy-devel

%description 
Sherpa is the CIAO modeling and fitting application. It enables the
user to construct complex models from simple definitions and fit those
models to data, using a variety of statistics and optimization method

%prep
%setup -q -n %{pypi_name}-%{version}
%apply_patches


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc 
%{python_sitearch}/%{pypi_name}
%{python_sitearch}/%{pypi_name}-%{version}-*.egg-info




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 4.5.1-3.mga4
+ Revision: 544249
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 4.5.1-2.mga4
+ Revision: 499372
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 04 2013 joequant <joequant> 4.5.1-1.mga4
+ Revision: 463098
- add numpy devel
- imported package python-sherpa

